<?php
/***********************************************************************
 * Module:  FlowStackInterface.php
 * Author:  vallance
 * Purpose: Defines the Interface FlowStackInterface
 ***********************************************************************/


interface FlowStackInterface {
	
	/**
	 * Control from args if the process method must be call.
	 * 
	 * @param array $argArray
	 */
	function control( $argArray);
	/**
	 * Return the process method name.
	 * 
	 * @return string
	 */
	function getControlMethod();

}